[Cubicweb] CubicWeb upgrade 3.16.3 -> 3.16.6

Aurélien Campéas aurelien.campeas at logilab.fr
Mon Oct 7 11:01:30 CEST 2013


On 07/10/2013 10:47, Dimitri Papadopoulos Orfanos wrote:
> Hi list,
>
> After upgrading CubicWeb from 3.16.3 to 3.16.6, I get many such warning
> whenever upgrading or starting an instance or a shell:
>
> /usr/lib/pymodules/python2.7/yams/schema.py:504: Warning: [yams 0.38] no
> targettype specified and there are several relation definitions for
> rtype uses_device: ['GenericTestRun', 'Scan', 'QuestionnaireRun',
> 'GenomicMeasure']. Yet you get the first rdef.
>    rdef = self.rdef(rschema, 'object')
>
> What does this warning mean?

It means that the packagers of yams 0.38 forgot to include a tiny
changeset that would have silenced that warning.

> Should we modify the Brainomics schemas?
>

Not at all.

Just wait for someone at Logilab to integrate & publish the tiny
patch.


Regards,
Aurélien.



More information about the Cubicweb mailing list